import { InjectionToken } from '@angular/core';
import { GtagFn } from '../types/gtag.type';
import { DataLayer } from '../types/data-layer.type';
/**
 * Check if there is some global function called gtag on Window object, or create an empty function to doesn't brake codes...
 */
export declare function getGtagFn(window: Window, dataLayer: DataLayer): GtagFn;
/**
 * Provides an injection token to access Google Analytics Gtag Function
 */
export declare const NGX_GTAG_FN: InjectionToken<GtagFn>;
